Index: LMDZ6/branches/DYNAMICO-conv/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/DYNAMICO-conv/libf/phylmd/radlwsw_m.F90	(revision 3355)
+++ LMDZ6/branches/DYNAMICO-conv/libf/phylmd/radlwsw_m.F90	(revision 3356)
@@ -28,6 +28,6 @@
    sollwdown,&
    topsw0,toplw0,solsw0,sollw0,&
-   lwdn0, lwdn, lwup0, lwup,&
-   swdn0, swdn, swup0, swup,&
+   lwdnc0, lwdn0, lwdn, lwupc0, lwup0, lwup,&
+   swdnc0, swdn0, swdn, swupc0, swup0, swup,&
    topswad_aero, solswad_aero,&
    topswai_aero, solswai_aero, &
@@ -148,6 +148,10 @@
   ! ZFSDWN(klon,KLEV+1)           ; TOTAL SW  DWN FLUXES           ! added by MPL 080411
   ! ZFCDWN(klon,KLEV+1)           ; CLEAR SKY SW  DWN FLUXES       ! added by MPL 080411
+  ! ZFCCDWN(klon,KLEV+1)          ; CLEAR SKY CLEAN (NO AEROSOL) SW  DWN FLUXES      ! added by OB 211117
   ! ZFSUP (klon,KLEV+1)           ; TOTAL SW  UP  FLUXES           ! added by MPL 080411
   ! ZFCUP (klon,KLEV+1)           ; CLEAR SKY SW  UP  FLUXES       ! added by MPL 080411
+  ! ZFCCUP (klon,KLEV+1)          ; CLEAR SKY CLEAN (NO AEROSOL) SW  UP  FLUXES      ! added by OB 211117
+  ! ZFLCCDWN(klon,KLEV+1)         ; CLEAR SKY CLEAN (NO AEROSOL) LW  DWN FLUXES      ! added by OB 211117
+  ! ZFLCCUP (klon,KLEV+1)         ; CLEAR SKY CLEAN (NO AEROSOL) LW  UP  FLUXES      ! added by OB 211117
   
   !======================================================================
@@ -226,8 +230,8 @@
   REAL,    INTENT(out) :: topsw0(KLON), toplw0(KLON), solsw0(KLON), sollw0(KLON)
   REAL,    INTENT(out) :: sollwdown(KLON)
-  REAL,    INTENT(out) :: swdn(KLON,kflev+1),swdn0(KLON,kflev+1)
-  REAL,    INTENT(out) :: swup(KLON,kflev+1),swup0(KLON,kflev+1)
-  REAL,    INTENT(out) :: lwdn(KLON,kflev+1),lwdn0(KLON,kflev+1)
-  REAL,    INTENT(out) :: lwup(KLON,kflev+1),lwup0(KLON,kflev+1)
+  REAL,    INTENT(out) :: swdn(KLON,kflev+1),swdn0(KLON,kflev+1), swdnc0(KLON,kflev+1)
+  REAL,    INTENT(out) :: swup(KLON,kflev+1),swup0(KLON,kflev+1), swupc0(KLON,kflev+1)
+  REAL,    INTENT(out) :: lwdn(KLON,kflev+1),lwdn0(KLON,kflev+1), lwdnc0(KLON,kflev+1)
+  REAL,    INTENT(out) :: lwup(KLON,kflev+1),lwup0(KLON,kflev+1), lwupc0(KLON,kflev+1)
   REAL,    INTENT(out) :: topswad_aero(KLON), solswad_aero(KLON)         ! output: aerosol direct forcing at TOA and surface
   REAL,    INTENT(out) :: topswai_aero(KLON), solswai_aero(KLON)         ! output: aerosol indirect forcing atTOA and surface
@@ -252,8 +256,12 @@
   REAL(KIND=8) ZFSUP0(KDLON,KFLEV+1)
   REAL(KIND=8) ZFSDN0(KDLON,KFLEV+1)
+  REAL(KIND=8) ZFSUPC0(KDLON,KFLEV+1)
+  REAL(KIND=8) ZFSDNC0(KDLON,KFLEV+1)
   REAL(KIND=8) ZFLUP(KDLON,KFLEV+1)
   REAL(KIND=8) ZFLDN(KDLON,KFLEV+1)
   REAL(KIND=8) ZFLUP0(KDLON,KFLEV+1)
   REAL(KIND=8) ZFLDN0(KDLON,KFLEV+1)
+  REAL(KIND=8) ZFLUPC0(KDLON,KFLEV+1)
+  REAL(KIND=8) ZFLDNC0(KDLON,KFLEV+1)
   REAL(KIND=8) zx_alpha1, zx_alpha2
   INTEGER k, kk, i, j, iof, nb_gr
@@ -364,6 +372,10 @@
       REAL(KIND=8) ZFSDWN_i (klon,klev+1)
       REAL(KIND=8) ZFCDWN_i (klon,klev+1)
+      REAL(KIND=8) ZFCCDWN_i (klon,klev+1)
       REAL(KIND=8) ZFSUP_i (klon,klev+1)
       REAL(KIND=8) ZFCUP_i (klon,klev+1)
+      REAL(KIND=8) ZFCCUP_i (klon,klev+1)
+      REAL(KIND=8) ZFLCCDWN_i (klon,klev+1)
+      REAL(KIND=8) ZFLCCUP_i (klon,klev+1)
 ! 3 lignes suivantes a activer pour CCMVAL (MPL 20100412)
 !      REAL(KIND=8) RSUN(3,2)
@@ -576,7 +588,15 @@
       ZFSUP0(i,k)=0.
       ZFSDN0(i,k)=0.
+      ZFSUPC0(i,k)=0.
+      ZFSDNC0(i,k)=0.
+      ZFLUPC0(i,k)=0.
+      ZFLDNC0(i,k)=0.
       ZSWFT0_i(i,k)=0.
       ZFCUP_i(i,k)=0.
       ZFCDWN_i(i,k)=0.
+      ZFCCUP_i(i,k)=0.
+      ZFCCDWN_i(i,k)=0.
+      ZFLCCUP_i(i,k)=0.
+      ZFLCCDWN_i(i,k)=0.
       ENDDO
       ENDDO
@@ -681,6 +701,10 @@
       ZFSDWN_i(i,k)=0.
       ZFCDWN_i(i,k)=0.
+      ZFCCDWN_i(i,k)=0.
       ZFSUP_i(i,k)=0.
       ZFCUP_i(i,k)=0.
+      ZFCCUP_i(i,k)=0.
+      ZFLCCDWN_i(i,k)=0.
+      ZFLCCUP_i(i,k)=0.
       ENDDO
       ENDDO
@@ -828,5 +852,5 @@
          PTAU_LW_TOT, PTAU_LW_NAT,               &  ! rajoute par C. Kleinschmitt
          ZFLUX_i  , ZFLUC_i ,&
-         ZFSDWN_i , ZFSUP_i , ZFCDWN_i, ZFCUP_i,&
+         ZFSDWN_i , ZFSUP_i , ZFCDWN_i, ZFCUP_i, ZFCCDWN_i, ZFCCUP_i, ZFLCCDWN_i, ZFLCCUP_i, &
          ZTOPSWADAERO,ZSOLSWADAERO,&  ! rajoute par OB pour diagnostics
          ZTOPSWAD0AERO,ZSOLSWAD0AERO,&
@@ -909,6 +933,10 @@
          ZFSDN(i,k+1)  = ZFSDWN_i(i,k+1)*fract(i)
          ZFSDN0(i,k+1) = ZFCDWN_i(i,k+1)*fract(i)
+         ZFSDNC0(i,k+1)= ZFCCDWN_i(i,k+1)*fract(i)
          ZFSUP (i,k+1) = ZFSUP_i(i,k+1)*fract(i)
          ZFSUP0(i,k+1) = ZFCUP_i(i,k+1)*fract(i)
+         ZFSUPC0(i,k+1)= ZFCCUP_i(i,k+1)*fract(i)
+         ZFLDNC0(i,k+1)= ZFLCCDWN_i(i,k+1)
+         ZFLUPC0(i,k+1)= ZFLCCUP_i(i,k+1)
 !   Nouveau calcul car visiblement ZSWFT et ZSWFC sont nuls dans RRTM cy32
 !   en sortie de radlsw.F90 - MPL 7.01.09
@@ -1022,8 +1050,12 @@
 
       DO k = 1, kflev+1
+        swdnc0( iof+i,k)   = ZFSDNC0( i,k)
         swdn0 ( iof+i,k)   = ZFSDN0 ( i,k)
         swdn  ( iof+i,k)   = ZFSDN  ( i,k)
+        swupc0( iof+i,k)   = ZFSUPC0( i,k)
         swup0 ( iof+i,k)   = ZFSUP0 ( i,k)
         swup  ( iof+i,k)   = ZFSUP  ( i,k)
+        lwdnc0( iof+i,k)   = ZFLDNC0( i,k)
+        lwupc0( iof+i,k)   = ZFLUPC0( i,k)
       ENDDO
     ENDDO
